<%@LANGUAGE="VBSCRIPT"%>
<!--#include file="Connections/connTest.asp" -->
<%
Dim rsnews
Dim rsnews_cmd
Dim rsnews_numRows

Set rsnews_cmd = Server.CreateObject ("ADODB.Command")
rsnews_cmd.ActiveConnection = MM_connTest_STRING
rsnews_cmd.CommandText = "SELECT * FROM News ORDER BY arDate DESC" 
rsnews_cmd.Prepared = true

Set rsnews = rsnews_cmd.Execute
rsnews_numRows = 0
%>
<%
Dim Repeat1__numRows
Dim Repeat1__index

Repeat1__numRows = 10
Repeat1__index = 0
rsnews_numRows = rsnews_numRows + Repeat1__numRows
%>
<%
Dim MM_paramName 
%>
<%
' *** Go To Record and Move To Record: create strings for maintaining URL and Form parameters

Dim MM_keepNone
Dim MM_keepURL
Dim MM_keepForm
Dim MM_keepBoth

Dim MM_removeList
Dim MM_item
Dim MM_nextItem

' create the list of parameters which should not be maintained
MM_removeList = "&index="
If (MM_paramName <> "") Then
  MM_removeList = MM_removeList & "&" & MM_paramName & "="
End If

MM_keepURL=""
MM_keepForm=""
MM_keepBoth=""
MM_keepNone=""

' add the URL parameters to the MM_keepURL string
For Each MM_item In Request.QueryString
  MM_nextItem = "&" & MM_item & "="
  If (InStr(1,MM_removeList,MM_nextItem,1) = 0) Then
    MM_keepURL = MM_keepURL & MM_nextItem & Server.URLencode(Request.QueryString(MM_item))
  End If
Next

' add the Form variables to the MM_keepForm string
For Each MM_item In Request.Form
  MM_nextItem = "&" & MM_item & "="
  If (InStr(1,MM_removeList,MM_nextItem,1) = 0) Then
    MM_keepForm = MM_keepForm & MM_nextItem & Server.URLencode(Request.Form(MM_item))
  End If
Next

' create the Form + URL string and remove the intial '&' from each of the strings
MM_keepBoth = MM_keepURL & MM_keepForm
If (MM_keepBoth <> "") Then 
  MM_keepBoth = Right(MM_keepBoth, Len(MM_keepBoth) - 1)
End If
If (MM_keepURL <> "")  Then
  MM_keepURL  = Right(MM_keepURL, Len(MM_keepURL) - 1)
End If
If (MM_keepForm <> "") Then
  MM_keepForm = Right(MM_keepForm, Len(MM_keepForm) - 1)
End If

' a utility function used for adding additional parameters to these strings
Function MM_joinChar(firstItem)
  If (firstItem <> "") Then
    MM_joinChar = "&"
  Else
    MM_joinChar = ""
  End If
End Function
%>
<html>
<head>
<title>Edwinstowe III XI C.C. News Articles</title>
<style type="text/css">
<!--
body {  background: url(images/back18.jpg) no-repeat fixed center center}
-->
</style>
<meta name="keywords" content="Bayfield, OFCC, Bayfield Cricket Club, cricket, Leanda, Leanda Associates, Firth Park">
<script language="JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_nbGroup(event, grpName) { //v3.0
  var i,img,nbArr,args=MM_nbGroup.arguments;
  if (event == "init" && args.length > 2) {
    if ((img = MM_findObj(args[2])) != null && !img.MM_init) {
      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
      nbArr[nbArr.length] = img;
      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
        if (!img.MM_up) img.MM_up = img.src;
        img.src = img.MM_dn = args[i+1];
        nbArr[nbArr.length] = img;
    } }
  } else if (event == "over") {
    document.MM_nbOver = nbArr = new Array();
    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
      nbArr[nbArr.length] = img;
    }
  } else if (event == "out" ) {
    for (i=0; i < document.MM_nbOver.length; i++) {
      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; }
  } else if (event == "down") {
    if ((nbArr = document[grpName]) != null)
      for (i=0; i < nbArr.length; i++) { img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; }
    document[grpName] = nbArr = new Array();
    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = img.MM_dn = args[i+1];
      nbArr[nbArr.length] = img;
  } }
}
//-->
</script>
</head>
<body bgcolor="#FFFFFF" link="#6699CC" vlink="#6699CC"
alink="#6699CC" onLoad="MM_preloadImages('images/viewmatch_f3.gif','images/viewmatch_f2.gif','images/viewmatch_f4.gif','images/viewbatting_f3.gif','images/viewbatting_f2.gif','images/viewbatting_f4.gif','images/titlebar_r2_c2_f3.gif','images/titlebar_r2_c2_f2.gif','images/titlebar_r2_c2_f4.gif','images/titlebar_r2_c4_f3.gif','images/titlebar_r2_c4_f2.gif','images/titlebar_r2_c4_f4.gif','images/titlebar_r2_c6_f3.gif','images/titlebar_r2_c6_f2.gif','images/titlebar_r2_c6_f4.gif','images/viewprofile_r2_c2_f3.gif','images/viewprofile_r2_c2_f2.gif','images/viewprofile_r2_c2_f4.gif')">
<div align="center"> 
  <center>
    <table border="0" cellpadding="0" cellspacing="0" width="405" align="right">
      <!-- fwtable fwsrc="titlebar.png" fwbase="titlebar.gif" fwstyle="Dreamweaver" fwdocid = "742308039" fwnested="0" -->
      <tr> 
        <td><font size="2"><img src="images/spacer.gif" width="31" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="19" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="19" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="1" border="0"></font></td>
      </tr>
      <tr> 
        <td colspan="6"><font size="2"><img name="titlebar_r1_c1" src="images/titlebar_r1_c1.gif" width="405" height="23" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="23" border="0"></font></td>
      </tr>
      <tr> 
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c1" src="images/titlebar_r2_c1.gif" width="31" height="23" border="0"></font></td>
        <td><font size="2"><a href="index.htm" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c2','images/titlebar_r2_c2_f2.gif','images/titlebar_r2_c2_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c2','images/titlebar_r2_c2_f3.gif',1);" ><img name="titlebar_r2_c2" src="images/titlebar_r2_c2.gif" width="112" height="22" border="0" alt="Back to O.F.C.C. Home Page"></a></font></td>
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c3" src="images/titlebar_r2_c3.gif" width="19" height="23" border="0"></font></td>
        <td><font size="2"><a href="fixtures.asp" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c4','images/titlebar_r2_c4_f2.gif','images/titlebar_r2_c4_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c4','images/titlebar_r2_c4_f3.gif',1);" ><img name="titlebar_r2_c4" src="images/titlebar_r2_c4.gif" width="112" height="22" border="0" alt="View O.F.C.C. Fixtures Page"></a></font></td>
        <td rowspan="2"><font size="2"><img name="titlebar_r2_c5" src="images/titlebar_r2_c5.gif" width="19" height="23" border="0"></font></td>
        <td><font size="2"><a href="averages.asp" onMouseOut="MM_nbGroup('out');"  onMouseOver="MM_nbGroup('over','titlebar_r2_c6','images/titlebar_r2_c6_f2.gif','images/titlebar_r2_c6_f4.gif',1);"  onClick="MM_nbGroup('down','navbar1','titlebar_r2_c6','images/titlebar_r2_c6_f3.gif',1);" ><img name="titlebar_r2_c6" src="images/titlebar_r2_c6.gif" width="112" height="22" border="0" alt="View O.F.C.C. Statistics Page"></a></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="22" border="0"></font></td>
      </tr>
      <tr> 
        <td><font size="2"><img name="titlebar_r3_c2" src="images/titlebar_r3_c2.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img name="titlebar_r3_c4" src="images/titlebar_r3_c4.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img name="titlebar_r3_c6" src="images/titlebar_r3_c6.gif" width="112" height="1" border="0"></font></td>
        <td><font size="2"><img src="images/spacer.gif" width="1" height="1" border="0"></font></td>
      </tr>
    </table>
    <font size="2"><br>
    <br>
    </font>
  </center>
</div>
<blockquote> 
  <div align="center"> 
      <div align="center"> 
        <p><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><b><br>
          <br>
          <font size="4">Edwinstowe III XI  C.C. News Articles:</font></b></font></p>
        <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><strong>Select 
          from one of the news items below:</strong><br>
          </font><font size="2"> </font> </p>
      </div>
  </div>
</blockquote>
<div align="left"> 
  <% 
While ((Repeat1__numRows <> 0) AND (NOT rsnews.EOF)) 
%>
  <table width="75%" height="75" border="0" align="center">
    <tr> 
      <td height="27" valign="bottom"><div align="center"><strong><font size="3" face="Verdana, Arial, Helvetica, sans-serif"><A HREF="news_article.asp?<%= MM_keepNone & MM_joinChar(MM_keepNone) & "id=" & rsnews.Fields.Item("arID").Value %>"><%=(rsnews.Fields.Item("arTitle").Value)%></A></font></strong></div></td>
      <td height="27"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td height="10"><div align="center"><font color="#000000" size="1" face="Verdana, Arial, Helvetica, sans-serif">(Posted: 
        <%=(rsnews.Fields.Item("arDate").Value)%>)</font></div></td>
      <td height="10"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td height="20"><div align="center"><font size="2" face="Verdana, Arial, Helvetica, sans-serif"><%=(rsnews.Fields.Item("arSummary").Value)%></font></div></td>
      <td height="20"><font size="2" face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
  </table>
  <div align="left">
    <% 
  Repeat1__index=Repeat1__index+1
  Repeat1__numRows=Repeat1__numRows-1
  rsnews.MoveNext()
Wend
%>
</div>

</body>
</html>
<%
rsnews.Close()
Set rsnews = Nothing
%>
